#!/usr/bin/env bash

set -e

cd /asapo/build
cmake \
    -DCMAKE_BUILD_TYPE="Release" \
    -DENABLE_LIBFABRIC=ON \
    -DINSTALL_EXAMPLES=ON \
    -DBUILD_CLIENTS_ONLY=ON \
    -DPACKAGE_RELEASE_SUFFIX=$OS \
    -DPACK_STATIC_CURL_LIB=/curl/lib/libcurl.a \
    -DBUILD_PYTHON=OFF   \
    -DCPACK_PACKAGE_NAME="asapo-dev" \
    -DCPACK_GENERATOR="DEB" \
    ..
cmake .. #second time for to correctly build deb packages
make -j 4
make package


if [ "$OS" = "ubuntu18.04" ]; then
  BUILD_PYTHON_DOCS=ON
else
  BUILD_PYTHON_DOCS=OFF
fi

#switch to static curl for Python packages
rm CMakeCache.txt
cmake \
    -DCMAKE_BUILD_TYPE="Release" \
    -DLIBCURL_DIR=/curl  \
    -DENABLE_LIBFABRIC=ON \
    -DBUILD_CLIENTS_ONLY=ON \
    -DNUMPY_VERSION=0   \
    -DBUILD_PYTHON=ON   \
    -DBUILD_PYTHON_PACKAGES="source;deb"   \
    -DBUILD_PYTHON_DOCS=$BUILD_PYTHON_DOCS \
    ..
make -j 1
